Bug 1011457 - Content view publish doesn't include distributions
Content view publish doesn't include distributions
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Justin Sherrill
Kedar Bidarkar
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 06:32 EDT by Justin Sherrill
Modified: 2014-07-02 10:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-02 10:14:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2013-09-24 06:32:45 EDT
Description of problem:

The following commit changed the way content view publish works:

6a8aab0d68c1cefc812207ce12a526205e36e3a0

As a result, distributions are no longer copied over to the published repo.




How reproducible:
Always

Steps to Reproduce:
1. Create a repo with a feed pointing to some repo with a distribution 
2. Sync the repo
3. Add the repo to a content view definition
4. publish content view

Actual results:
Resulting content view's repo does not have a distribution 

Expected results:
Resulting content view's repo has a distribution
Comment 2 Mike McCune 2013-09-24 08:18:54 EDT
most likely this breaks the katello > foreman integration since we aren't getting Operating Systems and Install Media defined
Comment 3 Justin Sherrill 2013-09-24 08:21:59 EDT
https://github.com/Katello/katello/pull/3025
Comment 4 Justin Sherrill 2013-09-24 08:22:34 EDT
Note that yum file metadata was also not being cloned properly, this PR also fixes that.
Comment 7 Mike McCune 2013-10-17 17:05:49 EDT
Moving this to be tested during MDP3, not critical for MDP2 success story
Comment 8 Kedar Bidarkar 2014-04-28 11:54:53 EDT
Both the library and content_views have the kickstart dir structure, along with /kickstart/images/  and /kickstart/treeinfo files.

[root@xxx kickstart]# pwd
/var/lib/pulp/published/https/repos/ACME_Corporation/Library/bz1011457/content/dist/rhel/server/6/6Server/x86_64/kickstart
[root@xxx kickstart]# ll treeinfo
lrwxrwxrwx. 1 apache apache 89 Apr 28 10:52 treeinfo -> /var/lib/pulp/content/distribution/ks-Red Hat Enterprise Linux-Server-6.5-x86_64/treeinfo
[root@xxxx kickstart]# cd images
[root@xxxx images]# ls
boot.iso  efiboot.img  efidisk.img  install.img  product.img  pxeboot
[root@xxxx images]# cd /var/lib/pulp/published/http/repos/ACME_Corporation/Library/bz1011457/content/dist/rhel/server/6/6Server/x86_64/kickstart^C
[root@xxxx images]# cd /var/lib/pulp/published/http/repos/ACME_Corporation/
content_views/ DEV/           Library/       listing        
[root@xxxx images]# cd /var/lib/pulp/published/http/repos/ACME_Corporation/
content_views/ DEV/           Library/       listing        
[root@xxxx images]# cd /var/lib/pulp/published/http/repos/ACME_Corporation/content_views/
bz1011457/     bz1079193/     listing        RHEL-5-i386/   RHEL-5-x86_64/ RHEL-6-i386/   RHEL-6-x86_64/ 
[root@xxxxx images]# cd /var/lib/pulp/published/http/repos/ACME_Corporation/content_views/
bz1011457/     bz1079193/     listing        RHEL-5-i386/   RHEL-5-x86_64/ RHEL-6-i386/   RHEL-6-x86_64/ 
[root@xxxx images]# cd /var/lib/pulp/published/http/repos/ACME_Corporation/content_views/
bz1011457/     bz1079193/     listing        RHEL-5-i386/   RHEL-5-x86_64/ RHEL-6-i386/   RHEL-6-x86_64/ 



[root@XXXX images]# cd /var/lib/pulp/published/http/repos/ACME_Corporation/content_views/bz1011457/1/content/dist/rhel/server/6/6Server/x86_64/kickstart/
[root@xxxx kickstart]# ls treeinfo
treeinfo
[root@xxxxx kickstart]# ll images
total 24
lrwxrwxrwx. 1 apache apache   96 Apr 28 10:51 boot.iso -> /var/lib/pulp/content/distribution/ks-Red Hat Enterprise Linux-Server-6.5-x86_64/images/boot.iso
lrwxrwxrwx. 1 apache apache   99 Apr 28 10:51 efiboot.img -> /var/lib/pulp/content/distribution/ks-Red Hat Enterprise Linux-Server-6.5-x86_64/images/efiboot.img
lrwxrwxrwx. 1 apache apache   99 Apr 28 10:51 efidisk.img -> /var/lib/pulp/content/distribution/ks-Red Hat Enterprise Linux-Server-6.5-x86_64/images/efidisk.img
lrwxrwxrwx. 1 apache apache   99 Apr 28 10:51 install.img -> /var/lib/pulp/content/distribution/ks-Red Hat Enterprise Linux-Server-6.5-x86_64/images/install.img
lrwxrwxrwx. 1 apache apache   99 Apr 28 10:51 product.img -> /var/lib/pulp/content/distribution/ks-Red Hat Enterprise Linux-Server-6.5-x86_64/images/product.img
drwxr-xr-x. 2 apache apache 4096 Apr 26 10:45 pxeboot
Comment 9 Bryan Kearney 2014-07-02 10:09:49 EDT
This was delivered with 6.0.3, which is the Satellite 6 Beta.
Comment 10 Bryan Kearney 2014-07-02 10:10:02 EDT
This was delivered in 6.0.3, the Beta version of Satellite 6.0
Comment 11 Bryan Kearney 2014-07-02 10:14:42 EDT
This was delivered in the Satellite 6 Beta (6.0.3)

Note You need to log in before you can comment on or make changes to this bug.